_Zee

[KSP 1.8.1] - Probes Before Crew [PBC] Version 2.8

Recommended Posts

 

On 11/9/2019 at 6:28 PM, Jognt said:

ps. Mad respect for the amount of manual labor that went into making your cfgs with all those manual @PARTs!

Yeah my OCD demands I go through every part manually and give each one it's own one-on-one time with me. Hahaha, its maddening sometimes, but it allows me to be confident the mod is doing exactly what I want it to and seems to keep the quality of the mod in good shape (when its updated at least). It's a "big picture" mod and I don't think I can make that picture very clear unless I know all the details up close. It's just very time consuming.

Share this post


Link to post
Share on other sites

Finishing touches happening right now. Should be ready for release tomorrow!

tsnnYej.png

Share this post


Link to post
Share on other sites

Salut, @_Zee

ton mod est pour moi la base de mes jeux avec ksp.

Juste une question: une version de carrière 1.8.1 avec votre mod en v2.7 est-elle compatible avec votre nouvelle version 2.8?

Et merci pour votre travail!

Moderator translation:  Your mod is the basis of my KSP games.  Just one question:  is a 1.8.1 career with v2.7 of your mod compatible with your new version 2.8?  And thank you for your work!

Edited by Snark
Translation added by moderator

Share this post


Link to post
Share on other sites
11 hours ago, doudou said:

Salut, @_Zee

ton mod est pour moi la base de mes jeux avec ksp.

Juste une question: une version de carrière 1.8.1 avec votre mod en v2.7 est-elle compatible avec votre nouvelle version 2.8?

Et merci pour votre travail!

I'm not sure but I don't think he speaks French, you might want to try it in English.

Edit: NVM, apperently he understood.

Edited by zok

Share this post


Link to post
Share on other sites


That's a good question! 

(The Short Answer):
If you started your career using KSP v1.8.0/1 and PBC v2.7, then upgrading to PBC v2.8 mid-career is no problem at all.

(The Long Answer, aka For anyone else with a similiar question but different scenario):
If, however, you started your career using KSP v1.7.3 or LOWER, then upgrading your KSP install to v1.8 mid-career is probably a bad idea no matter what mods you are using. KSP 1.8 upgraded the Unity version. For some mods, this means they have to make a KSP 1.8 compatible version of their mod that will not work in KSP 1.7 and lower. 

So if you use any mods like this (typically mods that provide their own DLLs, check with the mod author), it is more important than ever to double-check compatibility info for the version of KSP you are using (backwards compatible, forward compatible) for each of your mods.

PBC itself does not care about what version of KSP is being used. PBC 2.8 will be usable with KSP 1.7 and KSP 1.8.
But PBC users are undoubtedly using at least 10 other mods, so its still important to be aware of the info above.  
 

Share this post


Link to post
Share on other sites
11 hours ago, doudou said:

Salut, @_Zee

ton mod est pour moi la base de mes jeux avec ksp.

Juste une question: une version de carrière 1.8.1 avec votre mod en v2.7 est-elle compatible avec votre nouvelle version 2.8?

Et merci pour votre travail!

Folks, just a gentle reminder that anything posted outside the international forums needs to be in English.

If you'd like to post in French, there's a French forum for that. ;)

Thank you for your understanding.

Share this post


Link to post
Share on other sites

Je parle Francais un petit peu. :)  

But thank you for posting the translation for others @Snark.

Share this post


Link to post
Share on other sites
18 minutes ago, _Zee said:

Je parle Francais un petit peu. :)  

But thank you for posting the translation for others @Snark.

You're welcome. :)

And just to be clear, the rules say that everything posted outside the international forums needs to be in English, even if everyone in the conversation is able to speak the other language.

Share this post


Link to post
Share on other sites

Version 2.8 released
 

//// Version 2.8 Changes

*Updated for KSP 1.8.0/1.8.1
*Added Breaking Ground Expansion support.
*Added KSP v1.8 Bonus-Parts support.
Added new custom part - R061 Turboshaft Engine; a 0.6m LF Prop Engine for early aviation.
Added newly reskinned vanilla parts to existing patches, moved deprecated variants to existing anti-exploit patch.
Sorted new Universal Storage 2 Probe Core.
Corrected xmit values for all Universal Storage 2 science wedges.
Corrected Missing History [EnginePlate1] cost.
Adjusted Breaking Ground deployable science yields to match the rest of PBC. (reduced to 70% of vanilla yields).
Dropped tech unlock node position for mid-game and higher antenna by ONE(1) (RA-2, HG-55, RA-15, Comm 88-88, RA-100).
Repackaged ScienceParamModifier mod in PBC download (it was never meant to be removed, whoops!)


PBC is now KSP 1.8+ ready. More than 70 new parts have been sorted.
Core Chart with Breaking Ground added.

Spoiler

JRGJRXo.png



I had a lot of fun getting acquainted with the new rotor and propeller parts, but was quickly disappointed when I realized the Liquid Fuel rotors only come in one size! So in the interest of granularity, I made a new part that is a rescaled version of the R121 Turboshaft Engine, so now you have a 0.6m option and a 1.2m option. The new part has reduced torque, falling in between a small electric rotor and the medium LF rotor, but reduced Max RPM. Perfect for making little Cessna replicants, but not much beyond that.
Example Image with Medium Props

Spoiler

07p0GNi.png


Example Image with Small Props and flight stats

Spoiler

UacoScT.png


In response to some complaints about the difficulty of antenna unlocks, I took a closer look and realized the first antenna capable of supporting a mission to Duna or Eve is gated behind the last Tier 3 R&D Facility upgrade. It probably shouldn't come that late, so starting with the RA-2 antenna and all antenna with greater ranges than the RA-2, they have all had their unlock node reduced by ONE (1). Now you get at least one antenna capable of reaching the early planets before investing in one of the biggest upgrades in the game.

I also noticed that the v2.7 PBC download has been missing the ScienceParamModifier mod this whole time, hopefully you've all had that mod installed anyway otherwise your CB multipliers have been the vanilla values. This note is just for manual installers, CKAN users are fine as it forces the download of that dependency. Big apology for this part, I screwed up on this one. I'm really surprised no one mentioned it!

As I mentioned 4 posts above, PBC does not care whether you use KSP 1.7 or KSP 1.8, but all the mods that PBC supports undoubtedly WILL, so the AVC minimum version check for PBC has been set to KSP 1.8.0. You can ignore AVC warnings if you know what you are doing, but the least messy approach is going to be updating to KSP 1.8.1 and doing the same for your mods. 

Enjoy and let me know if you encounter any bugs/problems!

Edited by _Zee

Share this post


Link to post
Share on other sites

Is anyone experiencing issues with PBC's AVC check? I updated the hosted file to v2.8, but when I launch the game with my old v2.7 .version file I'm not getting any notices that my mod install is out of date. 

Is anyone else seeing the notice?

Share this post


Link to post
Share on other sites
48 minutes ago, _Zee said:

Is anyone experiencing issues with PBC's AVC check? I updated the hosted file to v2.8, but when I launch the game with my old v2.7 .version file I'm not getting any notices that my mod install is out of date. 

Is anyone else seeing the notice?

I have avc pruned so no idea :/

Share this post


Link to post
Share on other sites

Glad to see that there's a new release!  I'll be trying it out later today.  (I'm still on 1.7, though.)  And I see that the xmitDataScalar fixes are included — thanks for that.

However, I want to repost two small compatibility patches that I posted earlier and that I think might have been overlooked:

On 7/23/2019 at 2:19 AM, Wyzard said:

I'd like to contribute a small patch to support the MSP-3000 Material Science Pod:


@PART[MSP3000]:AFTER[MSP3000]:NEEDS[CommunityTechTree]
{
	@TechRequired = miniaturization

	@MODULE[ModuleScienceExperiment]
	{
		// Same change as stock science_module, since it's the same
		// experiment
		@xmitDataScalar = 0.3
	}
}

The part is basically a mini version of the stock SC-9001 materials bay.  It's in the Miniaturization tech node, one step up from Basic Science where the SC-9001 lives, and it seems appropriate to leave it there.  But PbC changes the SC-9001's "xmitDataScalar" from 0.35 to 0.3, so this patch makes the same change to the MSP-3000.

On 8/5/2019 at 10:53 PM, Wyzard said:

Here's an integration patch for Nertea's CryoTanks (which is bundled with CryoEngines and KerbalAtomics).  After a recent balance change, the cryogenic tanks are positioned relative to certain stock tanks in the tech tree.  PBC moves a few of the stock tanks to different tech nodes, so this patch moves the cryo tanks accordingly.


@PART[hydrogen-25-2]:AFTER[CryoTanks]:NEEDS[CommunityTechTree]
{
	@TechRequired = largeVolumeContainment  // One step up from Rockomax X200-32
}

@PART[hydrogen-25-3]:AFTER[CryoTanks]:NEEDS[CommunityTechTree]
{
	@TechRequired = largeVolumeContainment // One step up from Rockomax X200-16
}

@PART[hydrogen-radial-25-1]:AFTER[CryoTanks]:NEEDS[CommunityTechTree]
{
	@TechRequired = largeVolumeContainment  // One step up from Rockomax X200-16 (same diameter, similar volume)
}

BTW, @_Zee, please consider putting the project in GitHub so people can submit pull requests with suggested changes.  (Those are easier to keep track of than random forum posts.)

Share this post


Link to post
Share on other sites

Hey @Wyzard, thank you for providing these patches.

The reason I don't have a GitHub setup for PBC is because I create new mod support patches based on my voting poll. As the long wait for this update shows, I have limited time to mod and have to prioritize that limited time. People would likely contribute a lot of patches for mods that I don't have time to review, and even more important than that, we all have differing opinions on where a particular part should go. I think PBC has worked well thus far because the planning/designing of the entire picture is coming from one source, one mind. Whenever someone takes the time to provide me a part-ordering-patch, it's sadly a bit wasted as I need to go through each part (and indeed the entire mod in question) to make sure I agree with where those parts have been placed and how they've been valued. And aside from the text having already been typed out/pasted, at that point it's essentially starting the patch-creation-process from scratch.

With all of that said, I DO read every post in this thread and the feedback on part placement is always considered. (case-in-point, v2.8 saw the mass movement of antenna unlocks because of feedback from multiple people). 

Your MSP-3000 patch is super simple and I see the mod only provides that single part (never heard of it before btw, I like it!), so this one will be integrated into the next release. You pointed out this CryoTank patch is for the CryoEngines and KerbalAtomics mods, which aren't in the line-up for patches quite yet, but I'll be sure to re-check this post if/when I get to those mods. 

Thanks again for taking the time, I appreciate it.

Share this post


Link to post
Share on other sites

Just out of curiosity how does this mod pack treat "unsupported" parts mods? For example I make a lot of use out of the KW Rocketry mod but it isn't officially supported yet.

 

 

Share this post


Link to post
Share on other sites
2 hours ago, Galland1998 said:

Just out of curiosity how does this mod pack treat "unsupported" parts mods? For example I make a lot of use out of the KW Rocketry mod but it isn't officially supported yet.

 

 

I think they'll appear where they might always have in the tech tree.  Which means they could potentially be unbalanced WRT the rest of the parts.

Share this post


Link to post
Share on other sites

I figured it was something like that.  On of my last saves had PBC tech tree and KW Rocketry and most of the parts seemed to show up when there similar stock parts show up.  

Share this post


Link to post
Share on other sites

From the OP:

On 12/31/2018 at 7:08 AM, _Zee said:

If you use mods not listed its completely fine, they just might unlock at odd times relative to the rest of PBC until I add support.
If there are mods listed that you don't use, no worries! This mod ignores making changes to mods you don't have, and none of them are required.


So it comes down to how much the unsupported mod in question deviates from the PBC tech tree, and whether or not you are personally okay with it. Some are definitely going to deviate more than others.

Share this post


Link to post
Share on other sites

Made an account just to post my appreciation for this mod and the time and effort you've gone to! Keep up the good work :)

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.